2003-08-23  Andreas Tobler <a.tobler@schweiz.ch> 

	PR libgcj/8823
        * libjava.lang/pr8823.xfail: Removed.

2003-08-19  Jeff Sturm  <jsturm@one-point.com>

	* lib/libjava.exp (libjava_arguments): Add $libjava to the list of
	libraries.

2003-08-18  Tom Tromey  <tromey@redhat.com>

	PR libgcj/11951:
	* libjava.jni/pr11951.c: New file.
	* libjava.jni/pr11951.out: New file.
	* libjava.jni/pr11951.java: New file.

2003-08-12  Tom Tromey  <tromey@redhat.com>

	* libjava.jacks/jacks.xfail: Updated to account for new passes.
	* libjava.compile/abstr.xfail: Now can compile from bytecode.
	* libjava.compile/PR5641.xfail: Now can compile from bytecode.

	* libjava.mauve/mauve.exp (test_mauve_sim): Don't find
	DejaGNUTestHarness in gnu/testlet.
	(test_mauve): Use correct object extension.

2003-08-12  Tom Tromey  <tromey@redhat.com>

	* lib/libjava.exp (libjava_find_lib): Search for .so file first.
	(libjava_arguments): Don't add libraries to link line explictly.

2003-08-05  Tom Tromey  <tromey@redhat.com>

	For PR java/11600:
	* libjava.compile/PR11600.xfail: New file.
	* libjava.compile/PR11600.java: New file.

2003-08-04  Tom Tromey  <tromey@redhat.com>

	* libjava.jacks/jacks.exp (gcj_jacks_run): Just ignore errors
	from jacks.

2003-07-24  Tom Tromey  <tromey@redhat.com>

	For PR libgcj/7482:
	* libjava.lang/PR7482.java: New file.
	* libjava.lang/PR7482.out: New file.

2003-07-20  Tom Tromey  <tromey@redhat.com>

	* libjava.mauve/mauve.exp (mauve_find_harness_files): New proc.
	(test_mauve): Use it.
	(test_mauve_sim): Likewise.

2003-07-19  Tom Tromey  <tromey@redhat.com>

	* libjava.verify/verify.exp (gcj_verify_list_tests): Only change
	directory if new directory exists.

2003-07-13  Tom Tromey  <tromey@redhat.com>

	* libjava.verify/verify.exp: Fixed variable init.

2003-07-10  Tom Tromey  <tromey@redhat.com>

	* libjava.verify/verify.exp: New file.
	* libjava.verify/README.verify: New file.

2003-07-09  Jeff Sturm  <jsturm@one-point.com>

	* libjava.lang/SyncTest.java (run): Cache .class value.

2003-06-08  Roger Sayle  <roger@eyesopen.com>

	* libjava.lang/MathBuiltin.java: New test case.
	* libjava.lang/MathBuiltin.out: New file.

2003-06-05  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/mauve.exp (test_mauve): Add -wno-deprecated to GCJ.
	
	PR libgcj/6181:
	* libjava.mauve/xfails: Remove getBeanInfo() failures.

	PR libgcj/6293:
	* libjava.mauve/xfails: Remove PipedStream.close() failure.

2003-05-31  Roger Sayle  <roger@eyesopen.com>

	* libjava.lang/Overflow.java: New test.
	* libjava.lang/Overflow.out: New file.

2003-05-06  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/verify.java: New file.
	* libjava.lang/verify.out: New file.

2003-05-01  Tom Tromey  <tromey@redhat.com>

	PR java/10459:
	* libjava.compile/pr10459_2.java: New file.
	* libjava.compile/pr10459.java: New file.

2003-04-30  Tom Tromey  <tromey@redhat.com>

	PR libgcj/10582:
	* libjava.lang/assign.java: New file.
	* libjava.lang/assign.out: New file.

2003-04-16  Mark Mitchell  <mark@codesourcery.com>

	PR middle-end/8866
	* libjava.lang/PR8866.java: New test.

2003-04-16  Andrew Haley  <aph@redhat.com>

	* libjava.lang/Throw_2.java (main): Make a successful test produce
	some output.

2003-03-22  Andreas Tobler <a.tobler@schweiz.ch>

	* libjava.jni/jni.exp: Add compilation/link fix dor darwin dylibs.

2003-03-22  Tom Tromey  <tromey@redhat.com>

	* lib/libjava.exp (gcj_invoke): Moved...
	* libjava.jni/jni.exp: ...from here.

	* libjava.cni/shortfield.out: New file.
	* libjava.cni/shortfield.java: New file.
	* libjava.cni/natshortfield.cc: New file.
	* libjava.cni/natlongfield.cc: New file.
	* libjava.cni/longfield.out: New file.
	* libjava.cni/longfield.java: New file.

	* libjava.cni/cni.exp: New file.

2003-03-11  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/initfield.java: New file.
	* libjava.lang/initfield.out: New file.

2003-03-08  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/initfield.java: New file.
	* libjava.lang/initfield.out: New file.

2003-03-10  Tom Tromey  <tromey@redhat.com>

	* libjava.jacks/jacks.xfail: Updated to reflect reality.

2003-03-02  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/xfails: Remove all AcuniaPropertiesTest failures

2003-02-23  Tom Tromey  <tromey@redhat.com>

	* libjava.jacks/jacks.xfail: Most 4.7.10 tests pass now.

2003-02-16  Jeff Sturm  <jsturm@one-point.com>

	* libjava.lang/CompareNaN.java: New test.
	* libjava.lang/CompareNaN.out: New test.

2003-02-16  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/xfails: Add Class.reflect2 and String.getBytes FAILs.

2003-02-15  Mark Wielaard  <mark@klomp.org>

	* lib/libjava.exp (test_libjava_from_javac): Use regsub not string map.
	* libjava.mauve/mauve.exp (mauve_compute_uses): Likewise.
	(test_mauve): Likewise.

2003-02-14  Mark Wielaard  <mark@klomp.org>

	* lib/libjava.exp (test_libjava_from_javac): Don't create .o files
	containing $ characters and always quote class files with "'"s.

2003-02-14  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/mauve.exp (mauve_compute_uses): Add inner class
	object files by changing all occurances of $ to ^.
	(test_mauve): Replace ^ with $ for class file names and quote
	them with "'"s.

2003-02-13  Tom Tromey  <tromey@redhat.com>

	* libjava.mauve/xfails: Added entries for an unimplemented Class
	method.

2003-02-07  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/xfails: Add new entries for
	gnu.testlet.java.text.CollationElementIterator.jdk11

2003-02-03  Ulrich Weigand  <uweigand@de.ibm.com>

	* libjava.jacks/jacks.exp (gcj_jacks_write): Set LD_LIBRARY_PATH
	to find libgcc_s.  Set JAVA_CLASSPATH to find libgcj.jar.

2003-01-31  Mark Wielaard  <mark@klomp.org>

	* lib/libjava.exp (libjava_prune_warnings): Remove all unreachable
	bytecode warnings.

2003-01-28  Tom Tromey  <tromey@redhat.com>

	* libjava.loader/TestEarlyGC.java: Added comment explaining
	bytecode.

	* libjava.jacks/jacks.xfail: More lexer tests now pass.

2003-01-27  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/consthrow.java: New file.
	* libjava.compile/consthrow.xfail: New file.

2003-01-27  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* libjava.lang/pr8823.xfail: New file, add "xfail-byte".

2003-01-24  Ranjit Mathew  <rmathew@hotmail.com>

	* libjava.jni/calls.c (Java_calls_docall): Define with
	JNIEXPORT and JNICALL method attributes.
	* libjava.jni/field.c (Java_field_fetch): Likewise.
	* libjava.jni/final_method.c (Java_final_1method_meth): Likewise.
	* libjava.jni/findclass.c (Java_findclass_doit): Likewise.
	* libjava.jni/invoke.c (Java_invoke_val): Likewise.
	* libjava.jni/martin.c (Java_martin_myNative): Likewise.
	* libjava.jni/noclass.c (Java_noclass_find_1it): Likewise.
	* libjava.jni/overload.c (Java_overload_over__I): Likewise.
	(Java_overload_over__II): Likewise.
	* libjava.jni/register.c (JNI_OnLoad): Likewise.
	* libjava.jni/simple_int.c (Java_simple_1int_nat): Likewise.
	* libjava.jni/throwit.c (Java_throwit_throwit): Likewise.
	* libjava.jni/virtual.c (Java_virtual_equals): Likewise.

2003-01-21  Tom Tromey  <tromey@redhat.com>

	* libjava.jacks/jacks.xfail: All 8.4.3 tests and 9.4-modifier-10
	now pass.

2003-01-12  Tom Tromey  <tromey@redhat.com>

	Fix for PR libgcj/9139:
	* lib/libjava.exp (find_javac): Put value of libgcj_jar into
	return value when gcj is used.
	* libjava.mauve/mauve.exp (test_mauve): Use libgcj_jar global.

2003-01-03  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/pr8712.java: New file, for PR java/8712.

2003-01-01  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/pr8955.java: New test, for PR java/8955.

2002-12-19  Tom Tromey  <tromey@redhat.com>

	* libjava.jacks/jacks.xfail: Updated.

2002-12-18  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/pr8945.java: New file.
	* libjava.lang/pr8945.out: New file.

2002-12-12  Tom Tromey  <tromey@redhat.com>

	* libjava.loader/loader.exp (gcj_loader_test_one): Use
	libjava_prune_warnings.
	(gcj_loader_run): Likewise.
	* libjava.mauve/mauve.exp (test_mauve): Use
	libjava_prune_warnings.
	(test_mauve_sim): Likewise.
	* libjava.jni/jni.exp (gcj_jni_compile_c_to_so): Use
	libjava_prune_warnings.
	(gcj_jni_build_header): Likewise.
	* lib/libjava.exp (libjava_prune_warnings): New proc.
	(gcj_link): Use it.
	(test_libjava_from_source): Likewise.
	(test_libjava_from_javac): Likewise.

2002-12-08  Tom Tromey  <tromey@redhat.com>

	Test for PR libgcj/8823:
	* libjava.lang/pr8823.java: New file.
	* libjava.lang/pr8823.out: New file.

2002-12-05  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/override.java: New file.
	* libjava.lang/override.out: New file.

2002-12-01  Tom Tromey  <tromey@redhat.com>

	* libjava.jacks/jacks.exp (gcj_jacks_setup_xfail): New function.
	(gcj_jacks_parse): Use it; set up xfails.
	* libjava.jacks/jacks.xfail: New file.

2002-12-01  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/xfails: Remove Inspector FAILs that now PASS.

2002-11-21  Tom Tromey  <tromey@redhat.com>

	For PR java/8676:
	* libjava.lang/pr8676.java: New file.
	* libjava.lang/pr8676.out: New file.

2002-11-21  Ulrich Weigand  <uweigand@de.ibm.com>

	* libjava.loader/loader.exp (gcj_loader_test_one): Fix typo in
	'type' argument to libjava_tcompile.
	(gcj_loader_run): Use libjava_tcompile instead of running
	GCJ_UNDER_TEST directly.

2002-11-05  Tom Tromey  <tromey@redhat.com>

	* libjava.jacks/jacks.exp: New file.

2002-11-04  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/pr7912.java: New file.

2002-11-04  Andrew Haley  <aph@redhat.com>

	* libjava.lang/utilTest.java: New.
	* libjava.lang/utilTest.out: New.

2002-11-04  Anthony Green  <green@redhat.com>

	* libjava.loader/MyLoader.java: New constructor.
	* libjava.loader/TestParent.java: New file.
	* libjava.loader/TestParent.out: New file.

2002-11-04  Anthony Green  <green@redhat.com>

	* libjava.loader/TestEarlyGC.java,
	libjava.loader/TestEarlyGC.out: New files (from
	Jeff Sturm).

2002-11-04  Anthony Green  <green@redhat.com>

	* libjava.loader/dummy.java, libjava.loader/loader.exp,
	libjava.loader/MyLoader.java, libjava.loader/TestLeak.java,
	libjava.loader/TestLeak.out, libjava.loader/TestMultiple.java,
	libjava.loader/TestMultiple.out: New files.

2002-11-02  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/initexc.java (fail): Static initializers must be
	able to complete normally.  From Eric Blake.

	* libjava.lang/initexc.java: New file.
	* libjava.lang/initexc.out: New file.

2002-11-01  Tom Tromey  <tromey@redhat.com>

	For PR java/8415:
	* libjava.lang/pr8415.java: New file.
	* libjava.lang/pr8415.out: New file.

	* libjava.mauve/mauve.exp (find_mauve_sources): New proc.
	(test_mauve): Use it.
	(test_mauve_sim): Likewise.

2002-10-24  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/Primes.java: Removed.
	* libjava.lang/Primes.out: Removed.

2002-10-23  Tom Tromey  <tromey@redhat.com>

	For PR java/6388:
	* libjava.lang/pr6388.java: New file.
	* libjava.lang/pr6388.out: New file.

2002-10-15  Andrew Haley  <aph@redhat.com>

	* libjava.lang/EvaluationOrder.java (EvaluationOrder): New.
	* libjava.lang/EvaluationOrder.out (EvaluationOrder): New.

2002-10-14  Andrew Haley  <aph@redhat.com>

	* libjava.lang/StaticConstructor.java: New.
	* libjava.lang/StaticConstructor.out: New.

2002-10-13  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/xfails: Remove tests that now XPASS.

2002-10-03  Andrew Haley  <aph@redhat.com>

	* libjava.lang/Array_3.java (baz): New.
	(main): Call baz.

2002-09-29  Anthony Green  <green@redhat.com>

	* libjava.lang/TestProxy.java: New file.
	* libjava.lang/TestProxy.out: Ditto.

2002-09-29  Anthony Green  <green@redhat.com>

	* libjava.lang/utf8concat.java: New file.
	* libjava.lang/utf8concat.out: Ditto.

2002-08-26  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/narrow_case.java: New file.

2002-08-25  Adam Megacz <adam@xwt.org>

	* lib/libjava.exp: don't apply -no-install when platform is mingw.

2002-08-16  H.J. Lu <hjl@gnu.org>

	* lib/libjava.exp (gcc_version): Removed.
	(libgcj_jar): New.
	(libjava_init): Set libgcj_jar with tcl glob.
	(libjava_arguments): Use libgcj_jar.

2002-07-22  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/zeroexp.java: New file.

2002-07-18  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* libjava.compile/compile.exp: Sort sources.
	* libjava.jni/jni.exp (gcj_jni_run): Likewise.
	* libjava.lang/lang.exp: Likewise.

2002-07-02  Andrew Haley  <aph@redhat.com>

	* libjava.lang/inline.java: New file.
	* libjava.lang/inline.out: Likewise.

	* libjava.lang/Array_3.java: Add another case.

2002-06-23  Tom Tromey  <tromey@redhat.com>

	* Makefile.in: Rebuilt.
	* Makefile.am (RUNTEST): Added AM_RUNTESTFLAGS.
	(AM_RUNTESTFLAGS): New variable.
	(RUNTESTFLAGS): Don't define.
	* lib/libjava.exp (libjava_invoke): New proc.
	(test_libjava_from_source): Use it.
	(test_libjava_from_javac): Likewise.
	(libjava_find_gij): New proc.

2002-06-12  Tom Tromey  <tromey@redhat.com>

	* lib/libjava.exp (test_libjava): Fixed typo.
	* libjava.compile/PR6865.xfail: New file.

2002-06-11  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/PR6865.java: New file.  For PR java/6865.

	* libjava.lang/PR6520.java: Fixed typo.

2002-06-10  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/PR6520.java: New file.  For PR java/6520.

2002-06-04  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/T20020604.java: New file.

	For PR libgcj/6389:
	* libjava.mauve/xfails: Now passes System.getProperty test.

	For PR java/1343 and PR java/6336:
	* libjava.compile/PR1343.java: New file.

	For PR java/5913:
	* libjava.compile/PR5913.xfail: Removed.

2002-05-29  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* libjava.compile/T20020529.java: New file.

2002-05-27  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* libjava.lang/PR6820.java: New file.
	* libjava.lang/PR6820.out: New file.

2002-05-23  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* libjava.lang/PR6729.java: New file.
	* libjava.lang/PR6729.out: New file.

2002-05-04  Mark Wielaard  <mark@klomp.org>

	For PR java/6519:
	* libjava.lang/emptystring.java: New.
	* libjava.lang/emptystring.out: New.

2002-04-21  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/xfail: Expect failures for PR java/6391 and
	libgcj/6389.

2002-04-16  Mark Wielaard  <mark@klomp.org>

	* libjava.lang/negzero.java: New.
	* libjava.lang/negzero.out: New.

2002-04-14  Mark Wielaard  <mark@klomp.org>

        * libjava.mauve/xfails: Expect failures for PR libgcj/6302 and
        libgcj/6298.

2002-04-14  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/xfails: Expect failures for PR libgcj/6293,
	libgcj/6295, libgcj/6296 and libgcj/6297.

2002-04-12  Anthony Green  <green@redhat.com>

	* lib/libjava.exp: Use libgcj-VERSION.jar, not libgcj.jar.

2002-04-12  Loren J. Rittle <ljrittle@acm.org>

	* libjava.lang/SyncGlobal.java, libjava.lang/SyncGlobal.out:
	New test case.

2002-04-09  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* libjava.lang/PR6204.java, libjava.lang/PR6204.out: New test case.
	* libjava.lang/PR6085.java, libjava.lang/PR6085.out: Likewise.

2002-04-07  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/xfails: Add CASE_INSENSITIVE_ORDER, result was
	unspecified and test should be updated to match latest spec.
	Add AcuniaPropertiesTest, known bug #6219. Add test_getClassLoader,
	what we do seems to be not really right or wrong.

2002-04-06  Mark Wielaard  <mark@klomp.org>

	* libjava.mauve/mauve.exp: Use libgcj.jar not libgcj.zip.
	* libjava.mauve/xfails: add Character.classify12 (number 1),
	Character.getType (number 11), Character.getType (number 20) and
	Character.getType (number 22). We implement 1.4 Character.

2002-03-28  Andrew Haley  <aph@redhat.com>

	* libjava.lang/Throw_2.java: New.
	* libjava.lang/Throw_2.out: New.

2002-03-27  Anthony Green  <green@redhat.com>

	* libjava.lang/InvokeReturn.java: Modify test for targets
	which do not yet support reflection.

2002-03-27  Anthony Green  <green@redhat.com>

	* libjava.jni/jni.exp (gcj_jni_run): Fix cross build test.

2002-03-27  Anthony Green  <green@redhat.com>

	* lib/libjava.exp: Add the wrapper link options only when we're
	linking.

2002-03-26  Tom Tromey  <tromey@redhat.com>

	* libjava.mauve/mauve.exp (test_mauve): Use correct stderr
	redirection code.

2002-03-22  Eric Blake  <ebb9@email.byu.edu>

	For PR java/6026:
	* libjava.compile/PR6026.java: New file.

2002-03-21  Andrew Haley  <aph@redhat.com>

	* libjava.lang/Thread_Interrupt.java (Looper.calibrate): New.
	(yields): New.

2002-03-18  Tom Tromey  <tromey@redhat.com>

	* libjava.jni/jni.exp (gcj_jni_test_one): Find libstdc++ in build
	tree.
	(gcj_invoke): Added ld_library_additions argument.

2002-03-17  Tom Tromey  <tromey@redhat.com>

	* libjava.jni/jni.exp (gcj_jni_build_header): Use local_exec, not
	target_compile.  Fixes PR other/5874.

2002-03-15  Eric Blake  <ebb9@email.byu.edu>

	For PR java/5902:
	* libjava.compile/PR5902.java: Does not need to execute.
	For PR java/5913:
	* libjava.compile/PR5913.java: Ditto.

2002-03-12  Tom Tromey  <tromey@redhat.com>

	Test for PR java/5848:
	* libjava.compile/PR5848.xfail: New file.
	* libjava.compile/PR5848.java: New file.

2002-03-12  Eric Blake  <ebb9@email.byu.edu>

	* libjava.compile/PR5913.java: Expand test.

2002-03-11  Eric Blake  <ebb9@email.byu.edu>

	* libjava.compile/PR5902.java: New file.
	* libjava.compile/PR5913.java: New file.
	* libjava.compile/PR5913.xfail: New file.

2002-02-23  Jeff Sturm  <jsturm@one-point.com>

	* libjava.lang/InvokeReturn.java: New file.
	* libjava.lang/InvokeReturn.out: New file.

2002-02-20  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* lib/libjava.exp: Add "xfail-byte-output" and "xfail-source-output".
	Don't display expected and actual output for a failed output test.

	* libjava.lang/ArrayStore.java: New file.
	* libjava.lang/ArrayStore.out: New file.
	* libjava.lang/ArrayStore.xfail: New file. xfail-byte-output.
	* libjava.lang/ArrayStore2.java: New file.
	* libjava.lang/ArrayStore2.out: New file.
	* libjava.lang/ArrayStore2.xfail: New file. xfail-source-output.

	* libjava.lang/stringconst.xfail: xfail-output -> xfail-source-output.

2002-02-18  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* libjava.lang/err7.xfail: Removed.
	* libjava.lang/err8.xfail: Removed.
	
	* libjava.lang/ArrayStore.java: New file.
	* libjava.lang/ArrayStore.out: New file.

2002-02-10  Tom Tromey  <tromey@redhat.com>

	For PR java/5641:
	* libjava.compile/PR5641.xfail: New file.
	* libjava.compile/PR5641.java: New file.

2002-02-10  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* lib/libjava.exp (libjava_find_lib): Remove duplicate .la files.

2002-01-05  H.J. Lu <hjl@gnu.org>

	* libjava.jni/jni.exp: Add -I.. for generated header.

2001-12-20  Tom Tromey  <tromey@redhat.com>

	For PR java/4766:
	* libjava.compile/PR4766.java: New file.

2001-12-20  Andrew Haley  <aph@redhat.com>

	* libjava.lang/FileHandleGcTest.out:  New file.
	* libjava.lang/FileHandleGcTest.java: New file.
	* libjava.lang/Array_3.out: New file.
	* libjava.lang/Array_3.java: New file.

2001-12-18  Tom Tromey  <tromey@redhat.com>

	For PR java/3417:
	* libjava.compile/PR3417.xfail: New file.
	* libjava.compile/PR3417.java: New file.

2001-12-17  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/PR3731.xfail: Removed.

	Inspired by PR java/5057:
	* libjava.lang/PR5057_2.java: New file.
	* libjava.lang/PR5057_2.out: New file.

	For PR java/5057:
	* libjava.lang/PR5057.out: New file.
	* libjava.lang/PR5057.java: New file.

2001-12-13  Tom Tromey  <tromey@redhat.com>

	For PR libgcj/5103:
	* libjava.jni/cxxtest.out: New file.
	* libjava.jni/cxxtest.cc: New file.
	* libjava.jni/cxxtest.java: New file.
	* libjava.jni/jni.exp (gcj_jni_test_one): If there is no .c file,
	assume there is a .cc file.

2001-12-09  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* libjava.lang/PR3731.out: Adjust output to reflect that "instanceof"
	shouldn't trigger class initialization.

2001-12-06  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/BlankFinal.java: Removed; incorrect test.

2001-11-02  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* libjava.lang/TLtest.xfail: New file. Needs threads.

2001-10-04  Alexandre Petit-Bianco  <apbianco@redhat.com>

	* libjava.lang/PR3096.java: New file.
	* libjava.lang/PR3096.out: Likewise.

2001-09-27  Alexandre Petit-Bianco  <apbianco@redhat.com>

	* libjava.compile/final_initialization_in_ctor.java: New file

2001-08-28  Alexandre Petit-Bianco  <apbianco@redhat.com>

	* libjava.compile/final_assignment_check.java: New file.
	* libjava.compile/final_assignment_check.xfail: Likewise.
	* libjava.compile/final_local_switch.java: Likewise.
	
2001-08-24  Alexandre Petit-Bianco  <apbianco@redhat.com>

	* libjava.lang/KeepInline.out: Fixed content.

2001-08-17  Alexandre Petit-Bianco  <apbianco@redhat.com>

	* libjava.compile/XercesBug.java: New file.

2001-08-12  Alexandre Petit-Bianco  <apbianco@redhat.com>
	
	* libjava.lang/Matrix4f.java: New file.
	* libjava.lang/Matrix4f.out: New file.

2001-08-03  Richard Henderson  <rth@redhat.com>

	* libjava.jni/calls.c (Java_calls_docall): Fix typo.

2001-08-01  Jeff Sturm  <jsturm@one-point.com>

	* libjava.lang/KeepInline.java: New file.
	* libjava.lang/KeepInline.out: New file.

2001-07-30  Jeff Sturm  <jsturm@one-point.com>

	* libjava.lang/SyncTest.java: New file.
	* libjava.lang/SyncTest.out: New file.
	* libjava.lang/SyncTest.xfail: New file.

2001-07-27  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* lib/libjava.exp (${tool}_set_ld_library_path): New, copied from
	g++.exp.

2001-07-19  Jeff Sturm  <jsturm@one-point.com>

	* libjava.lang/PR3731.java: New file.
	* libjava.lang/PR3731.out: New file.
	* libjava.lang/PR3731.xfail: New file.

2001-07-12  Alexandre Petit-Bianco  <apbianco@redhat.com>

	* libjava.compile/anon_ctor_itf_arg.java: Moved to `libjava.lang.'
	* libjava.compile/anon_ctor_itf_arg.out: Likewise
	* libjava.lang/invoke_from_inner.java: New file.
	* libjava.lang/invoke_from_inner.out: Likewise.

2001-07-12  Alexandre Petit-Bianco  <apbianco@redhat.com>

	* libjava.compile/anon_ctor_itf_arg.java: New file.
	* libjava.compile/anon_ctor_itf_arg.out: New file.

2001-07-12  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/N19990310_4.xfail: Removed.

2001-07-10  Alexandre Petit-Bianco  <apbianco@readhat.com>

	* libjava.lang/TLtest.java: New file.
	* libjava.lang/TLtest.out: New file.

2001-07-06  Andrew Haley  <aph@cambridge.redhat.com>

	* libjava.lang/Divide_1.java: Add many more test cases.
	* libjava.lang/Divide_1.out: Likewise.

2001-07-03  Jeff Sturm  <jsturm@one-point.com>

	* libjava.lang/II.java: New file.
	* libjava.lang/II.out: New file.

2001-06-25  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/stub.xfail: Removed.

2001-06-24  Andreas Jaeger  <aj@suse.de>

	* libjava.jni/jni.exp (gcj_jni_compile_c_to_so): Fix path for
	jni.h.

2001-06-14  Tom Tromey  <tromey@redhat.com>

	* libjava.jni/jni.exp: New file.
	* lib/libjava.exp (gcj_link): New proc.

2001-06-08  Tom Tromey  <tromey@redhat.com>

	Fix for PR libgcj/2874:
	* libjava.mauve/mauve.exp (gcj_run_mauve_tests): New proc.
	(test_mauve): Return 0 on failure.
	* lib/libjava.exp (test_libjava_from_source): Remove generated
	files if test is successful.
	(test_libjava_from_javac): Likewise.
	(gcj_cleanup): New proc.

2001-06-05  Jeff Sturm  <jsturm@one-point.com>

	* lib/libjava.exp (libjava_arguments): Build with `-no-install'
	when $mode == "link".

2001-06-02  Anthony Green  <green@redhat.com>

	* libjava.lang/invokethrow.java: Fake a pass for systems which
	don't support invocation.

2001-05-30  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/invokethrow.out: New file.
	* libjava.lang/invokethrow.java: New file.

2001-05-03  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/Thread_Wait_Interrupt.xfail: New file.
	* libjava.lang/Thread_Wait_2.xfail: New file.
	* libjava.lang/Thread_Wait.xfail: New file.
	* libjava.lang/Thread_Sleep.xfail: New file.
	* libjava.lang/Thread_Monitor.xfail: New file.
	* libjava.lang/Thread_Join.xfail: New file.
	* libjava.lang/Thread_Interrupt.xfail: New file.
	* libjava.lang/Thread_Alive.xfail: New file.
	* lib/libjava.exp (libjava_init): Set global
	libjava_uses_threads.
	(test_libjava): Document `need-threads' tag.
	(test_libjava_from_source): handle need-threads tag.
	(test_libjava_from_javac): Likewise.

2001-05-03  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/err11.xfail: Removed.

2001-04-25  Tom Tromey  <tromey@redhat.com>

	* lib/libjava.exp (libjava_init): Use UTF-8 encoding.
	(test_libjava_from_javac): Likewise.

2001-04-09  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/pr83.xfail: Removed.
	* libjava.lang/Shazam.xfail: Removed.
	* libjava.lang/PR162.xfail: Removed.
	* libjava.compile/PR375.xfail: Removed.
	* libjava.compile/PR208.xfail: Removed xfail-byte.
	* libjava.compile/PR207.xfail: Removed xfail-byte.

2001-04-07  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/weirddecl.xfail: Removed xfail-*.
	* libjava.compile/PR374.xfail: Removed.

2001-03-29  Alexandre Petit-Bianco  <apbianco@redhat.com>

	* libjava.lang/instinit2.out: Fixed.

2001-03-22  Tom Tromey  <tromey@redhat.com>

	* libjava.jni/field.out: New file.
	* libjava.jni/field.c: New file.
	* libjava.jni/field.java: New file.

2001-03-20  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/uesc.java: New file.
	* libjava.compile/uesc.xfail: New file.

2001-03-16  Tom Tromey  <tromey@redhat.com>

	* lib/libjava.exp (libjava_arguments): Rewrote computation of
	LD_LIBRARY_PATH.  Add gcc build directory if it contains
	libgcc_s.so.

2001-03-14  Tom Tromey  <tromey@redhat.com>

	* libjava.compile/assignment.xfail: Removed.
	* libjava.compile/assignment_2.xfail: Removed.

2001-02-08  Warren Levy  <warrenl@redhat.com>

	* libjava.mauve/mauve.exp: Added support for XFAILs.
	* libjava.mauve/xfails: New file.

2001-01-26  Tom Tromey  <tromey@redhat.com>

	* libjava.jni/martin.c (Java_martin_myNative): Flush stdout.

	* libjava.jni/martin.out: New file.
	* libjava.jni/martin.c: New file.
	* libjava.jni/martin.java: New file.

2001-01-16  Richard Henderson  <rth@redhat.com>

	* lib/libjava.exp (bytecompile_file): Don't unset CLASSPATH.
	(libjava_arguments): Use .jar extension for libgcj.

2001-01-08  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.compile/SuperConstr.java: New test case.

2000-12-18  Tom Tromey  <tromey@redhat.com>

	* libjava.mauve/mauve.exp (test_mauve): Don't look for exceptions
	thrown in the test harness.
	(test_mauve_sim): Likewise.

2000-12-16  Tom Tromey  <tromey@redhat.com>

	* lib/libjava.exp (test_libjava_from_javac): Strange quoting trick
	for `.class' link case.
	(bytecompile_file): Change directory outside of `catch'.

	* libjava.lang/Thread_1.java: Removed.
	* libjava.lang/Thread_1.out: Likewise.

	* libjava.lang/N19990310_4.xfail: New file.
	* libjava.lang/stub.xfail: Added new failure modes.
	* libjava.lang/stringconst.xfail: New file.
	* libjava.lang/PR162.xfail: New file.
	* libjava.lang/Final.xfail: Removed.

2000-12-15  Tom Tromey  <tromey@redhat.com>

	* libjava.lang/instinit.out: Removed erroneous line.

	* libjava.lang/Thread_1.out: Expect `0' active count.

	* libjava.lang/stub.xfail: New file.
	* libjava.lang/pr83.xfail: New file.
	* libjava.lang/err8.xfail: New file.
	* libjava.lang/err7.xfail: New file.
	* libjava.lang/Shazam.xfail: New file.
	* libjava.lang/err11.xfail: New file.

	* libjava.lang/instinit2.java: Renamed class to `instinit2'.

	* libjava.lang/anon3.out: Fixed typo.

	* libjava.lang/Class_1.java (main): Uncommented out previously
	failing code; now it works

	* lib/libjava.exp (libjava_tcompile): New proc.
	(test_libjava_from_source): Use it.
	(test_libjava_from_javac): Likewise.
	(find_javac): New proc.
	(bytecompile_file): Use it.
	(test_libjava_from_javac): Handle `xfail-gcjC' tag.  If no-exec
	set, then don't link even if program has a `main'.

	* libjava.compile/static_3.xfail: New file.
	* libjava.compile/weirddecl.xfail: New file.
	* libjava.compile/static_2.xfail: New file.
	* libjava.compile/not_a_redef.xfail: New file.
	* libjava.compile/inner_1.xfail: New file.
	* libjava.compile/assignment_2.xfail: New file.
	* libjava.compile/assignment.xfail: New file.
	* libjava.compile/abstr.xfail: New file.
	* libjava.compile/PR375.xfail: New file.
	* libjava.compile/PR374.java: New file.
	* libjava.compile/PR238.xfail: New file.
	* libjava.compile/PR208.xfail: New file.
	* libjava.compile/PR207.xfail: New file.

2000-11-30  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/instinit.java: Don't extend `foo'.

2000-11-26  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/weirddecl.java: New file.

Fri Nov 24 11:25:20 2000  Anthony Green  <green@redhat.com>

	* lib/libjava.exp (bytecompile_file): Change default from javac to
	gcj -C.
	(libjava_arguments): Fix classpath.

	* libjava.compile/PR129_B.no-link: New file.

2000-11-24  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/PR375.java: New file.  For PR gcj/375.

	* libjava.compile/PR374.java: New file.  For PR gcj/374.

2000-11-07  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/sjis_comment3.java: Removed.
	* libjava.compile/sjis_comment2.java: Removed.
	* libjava.compile/sjis_comment1.java: Removed.
	* libjava.compile/euc_comment3.java: Removed.
	* libjava.compile/euc_comment2.java: Removed.
	* libjava.compile/euc_comment1.java: Removed.

2000-11-03  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (libjava_arguments): Set --tag on libtool
	invocation.

Sun Oct  8 19:14:05 2000  Anthony Green  <green@redhat.com>

	* libjava.compile/ArrayClass.java: New file.

2000-08-31  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/abstr.xfail: New file.
	* libjava.compile/abstr.java: New file.

2000-08-09  Tom Tromey  <tromey@cygnus.com>

	From PR gcj/310:
	* libjava.compile/PR310.java: New file.
	* libjava.compile/PR310.xfail: New file.

2000-07-30  Anthony Green  <green@redhat.com>

	* libjava.compile/PR295.java: New file.
	See PR gcj/295.

2000-07-11  Andrew Haley  <aph@cygnus.com>

	* libjava.compile/static_init2.java: New file.

2000-07-07  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/stringconst2.out: New file.
	* libjava.lang/stringconst2.java: New file.

2000-06-23  Tom Tromey  <tromey@cygnus.com>

	For PR gcj/260:
	* libjava.lang/PR260.out: New file.
	* libjava.lang/PR260.java: New file.

2000-06-13  Warren Levy  <warrenl@cygnus.com>

	Test for PR java.lang/258:
	* libjava.lang/Class_1.java: New file.
	* libjava.lang/Class_1.out: New file.

2000-05-29  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.lang/PR242.java: New file. PR gcj/242.

2000-05-23  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/PR238.java: New file.  For PR gcj/238.

	* libjava.lang/stringconst.out: New file.
	* libjava.lang/stringconst.java: New file.

2000-05-22  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.compile/PR232B.java: Additional PR gcj/232 test.

2000-05-22  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/PR235.java: New file.  For PR gcj/235.

2000-05-21  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/PR234.java: New file.  For PR gcj/234.

2000-05-22  Bryce McKinlay  <bryce@albatross.co.nz>

	Test for PR gcj/232:
	* libjava.compile/PR232.java: New file.

2000-05-18  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (bytecompile_file): Use exec, not system.

2000-05-17  Tom Tromey  <tromey@cygnus.com>

	* libjava.mauve/mauve.exp (test_mauve): Call `prune_warnings'.
	(test_mauve_sim): Likewise.
	(test_mauve): Redirect stderr in system call.
	(test_mauve_sim): Likewise.
	* lib/libjava.exp (test_libjava_from_source): Call
	`prune_warnings'.
	(test_libjava_from_javac): Likewise.
	(bytecompile_file): Redirect stderr in system call.
	* lib/libjava.exp (libjava_find_program): New proc.
	(find_jvscan): Use it.
	(find_gcjh): New proc.

	* libjava.compile/compile.exp: Use "", not $options.

2000-05-16  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/instance.out: New file.
	* libjava.lang/instance.java: New file.

2000-05-10  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.lang/StringBuffer_1.java: New file.
	* libjava.lang/StringBuffer_1.out: New file.

2000-05-08  Bryce McKinlay  <bryce@albatross.co.nz>

	Test for PR gcj/224:
	* libjava.compile/PR224.java: New file.
	* libjava.compile/PR224.xfail: New file.

2000-04-28  Bryce McKinlay  <bryce@albatross.co.nz>

	Test for PR gcj/218:
	* libjava.lang/PR218.java: New file.
	* libjava.lang/PR218.out: New file.

2000-04-25  Alexandre Petit-Bianco  <apbianco@cygnus.com>

	* libjava.compile/MethodFailure4.java: New file.
	* libjava.compile/MethodFailure4.out: New file.

2000-04-20  Alexandre Petit-Bianco  <apbianco@cygnus.com>

	* libjava.compile/block.java: New file.
	* libjava.compile/block.out: New file.

2000-04-20  Tom Tromey  <tromey@cygnus.com>

	* libjava.jni/throwit.out: Fixed output to be correct.

	* libjava.jni/noclass.java (main): `find_it' throws an exception.

2000-04-16  Anthony Green  <green@redhat.com>

	* libjava.compile/PR209.java: New file.

2000-04-16  Anthony Green  <green@redhat.com>

	* libjava.compile/PR208.java: New file.

2000-04-16  Anthony Green  <green@redhat.com>

	* libjava.compile/PR207.java: New file.
	libjava.compile/PR207_A.java: New file.
	libjava.compile/PR206.java: New file.
	libjava.compile/PR206_A.java: New file.

2000-04-14  Bryce McKinlay  <bryce@albatross.co.nz>

	Additional test for PR gcj/148:
	* libjava.compile/assignment_2.java: New file.

2000-03-28  Bryce McKinlay  <bryce@albatross.co.nz>

	Test case for PR libgcj/184:
	* libjava.lang/pr184.java: New file.
	* libjava.lang/pr184.out: New file.

2000-03-27  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/test_long.out: New file.
	* libjava.lang/test_long.java: New file.

2000-03-26  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Array_1.xfail: Removed.

2000-03-23  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.lang/Thread_Wait.java: New file.
	* libjava.lang/Thread_Sleep.java: New file.
	* libjava.lang/Thread_Monitor.java: New file.
	* libjava.lang/Thread_Wait.out: New file.
	* libjava.lang/Thread_Sleep.out: New file.
	* libjava.lang/Thread_Monitor.out: New file.
	* libjava.lang/Thread_Interrupt.java: New file.
	* libjava.lang/Thread_Wait_2.java: New file.
	* libjava.lang/Thread_Wait_2.out: New file.
	* libjava.lang/Thread_Wait_Interrupt.java: New file.
	* libjava.lang/Thread_Wait_Interrupt.out: New file.
	* libjava.lang/Thread_Interrupt.out: New file.
	* libjava.lang/Thread_Join.java: New file.
	* libjava.lang/Thread_Join.out: New file.
	* libjava.lang/Thread_Alive.java: New file.
	* libjava.lang/Thread_Alive.out: New file.

2000-03-22  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/iface.java: New file.
	* libjava.compile/static_3.java: New file.
	* libjava.compile/static_2.java: New file.
	* libjava.compile/static_1.xfail: New file.
	* libjava.compile/static_1.java: New file.
	* libjava.compile/redef6.xfail: New file.
	* libjava.compile/redef6.java: New file.
	* libjava.compile/redef5.xfail: New file.
	* libjava.compile/redef5.java: New file.
	* libjava.compile/redef4.xfail: New file.
	* libjava.compile/redef4.java: New file.
	* libjava.compile/redef3.xfail: New file.
	* libjava.compile/redef3.java: New file.
	* libjava.compile/redef2.xfail: New file.
	* libjava.compile/redef2.java: New file.
	* libjava.compile/redef1.xfail: New file.
	* libjava.compile/redef1.java: New file.
	* libjava.compile/not_a_redef.java: New file.
	* libjava.compile/inner_1.java: New file.
	* libjava.compile/static_init.xfail: New file.
	* libjava.compile/static_init.java: New file.

2000-03-21  Bryce McKinlay  <bryce@albatross.co.nz>

	Test case for PR libgcj/179:
	* libjava.lang/pr179.java: New file.
	* libjava.lang/pr179.out: New file.

2000-03-18  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/pr109.java: Added `println' at end.

2000-03-15  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/pr176.java: New file, for PR gcj/176.

2000-03-15  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.compile/pr172.java: Correct classname to match file name.
	* libjava.compile/pr174.java: ditto. Remove superfluous main()
	method.
	* libjava.compile/PR140.xfail: New file.

2000-03-14  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/PR140.java: New file, for PR gcj/140.

	* libjava.compile/pr172.java: New file, for PR gcj/172.

	* libjava.compile/pr174.java: New file, for PR gcj/174.

2000-03-07  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/PR162.java: Mention `PR162', not `Test', as class
	name.

2000-03-07  Bryce McKinlay  <bryce@albatross.co.nz>

	Test for PR gcj/163:
	* libjava.lang/PR163.java: New file.
	* libjava.lang/PR163.xfail: New file.

2000-03-07  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (test_libjava_from_javac): Removed hack for
	interfaces.  Fail if jv-scan reports a parse error.

	Test for PR gcj/162:
	* libjava.lang/PR162.out: New file.
	* libjava.lang/PR162.java: New file.

2000-03-06  Tom Tromey  <tromey@cygnus.com>

	Test for PR gcj/164:
	* libjava.compile/PR164.xfail: New file.
	* libjava.compile/PR164.java: New file.

2000-03-06  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.compile/PR127.java: New file.
	* libjava.compile/PR127.xfail: New file.
        PR 127 test case from Joerg Brunsmann.

2000-03-05  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (test_libjava): Document `shouldfail' token.
	(test_libjava_from_source): Handle `shouldfail' case.
	(test_libjava_from_javac): Likewise.

	Test for PR libgcj/124:
	* libjava.compile/PR124.java: New file.
	* libjava.compile/PR124.xfail: New file.

2000-03-05  Anthony Green  <green@redhat.com>

	* libjava.lang/PR141.java: New file.
	* libjava.lang/PR141.out: New file.
	For PR java.io/141.

2000-03-05  Anthony Green  <green@redhat.com>

	* libjava.compile/PR129_B.java: New file.
	* libjava.compile/support/PR129_A.java: New file.
	For PR gcj/129.

2000-03-04  Anthony Green  <green@redhat.com>

	* libjava.lang/PR160.java: New file.
	* libjava.lang/PR160.out: New file.

2000-02-28  Mo DeJong <mdejong@cygnus.com>

	* libjava.compile/static_inner.java: New file.

2000-02-23  Tom Tromey  <tromey@cygnus.com>

	* libjava.jni/noclass.c: New file.
	* libjava.jni/noclass.out: New file.
	* libjava.jni/noclass.java: New file.

2000-02-18  Tom Tromey  <tromey@cygnus.com>

	* libjava.jni/register.java: New file.
	* libjava.jni/register.c: New file.
	* libjava.jni/register.out: New file.

2000-02-16  Tom Tromey  <tromey@cygnus.com>

	* libjava.jni/calls.c: New file.
	* libjava.jni/calls.out: New file.
	* libjava.jni/calls.java: New file.

	* libjava.jni/throwit.java: New file.
	* libjava.jni/throwit.c: New file.
	* libjava.jni/throwit.out: New file.

2000-02-15  Tom Tromey  <tromey@cygnus.com>

	* libjava.jni/findclass.java: New file
	* libjava.jni/findclass.c: New file
	* libjava.jni/findclass.out: New file

2000-02-16  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.lang/InterfaceDispatch.java: New file.
	* libjava.lang/InterfaceDispatch.out: New file.

2000-02-15  Tom Tromey  <tromey@cygnus.com>

	* libjava.jni/virtual.java: New file.
	* libjava.jni/virtual.c: New file.
	* libjava.jni/virtual.out: New file.
	* libjava.jni/final_method.java: New file.
	* libjava.jni/final_method.c: New file.
	* libjava.jni/final_method.out: New file.
	* libjava.jni/overload.java: New file.
	* libjava.jni/overload.c: New file.
	* libjava.jni/overload.out: New file.
	* libjava.jni/simple_int.java: New file.
	* libjava.jni/simple_int.c: New file.
	* libjava.jni/simple_int.out: New file.
	* libjava.jni/invoke.out: New file.
	* libjava.jni/invoke.c: New file.
	* libjava.jni/invoke.java: New file.

2000-02-12  Anthony Green  <green@cygnus.com>

	* libjava.compile/comment.java: New file.

2000-02-12  Anthony Green  <green@cygnus.com>

	* libjava.compile/assignment.java: New file.

2000-02-12  Anthony Green  <green@cygnus.com>

	* libjava.compile/inner_data.java: New file.

2000-02-12  Anthony Green  <green@cygnus.com>

	* libjava.compile/inner_inherit.java: New file.

2000-02-12  Alexandre Petit-Bianco  <apbianco@cygnus.com>

	* libjava.lang/inner_interface.out: New file.
	* libjava.lang/inner_interface.java: New file.
	* libjava.lang/final_int.out: New file.
	* libjava.lang/final_int.java: New file.
	* libjava.lang/final_static_and_friend.out: New file.
	* libjava.lang/final_static_and_friend.java: New file.

2000-02-07  Alexandre Petit-Bianco  <apbianco@cygnus.com>

	* libjava.lang/anonarray3.out: New file.
	* libjava.lang/anonarray3.java: New file.

2000-02-09  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/inner_priv.java: New file.

2000-02-07  Alexandre Petit-Bianco  <apbianco@cygnus.com>

	* libjava.lang/instinit2.out: New file.
	* libjava.lang/instinit2.java: New file.
	* libjava.lang/instinit.out: New file.
	* libjava.lang/instinit.java: New file.
	* libjava.lang/anonarray2.out: New file.
	* libjava.lang/anonarray2.java: New file.
	* libjava.lang/anonarray.out: New file.
	* libjava.lang/anonarray.java: New file.
	* libjava.lang/nested_with_ctor.out: New file.
	* libjava.lang/nested_with_ctor.java: New file.
	* libjava.lang/anfi.out: New file.
	* libjava.lang/anfi.java: New file.
	* libjava.lang/stub.out: New file.
	* libjava.lang/stub.java: New file.

2000-01-30  Alexandre Petit-Bianco  <apbianco@cygnus.com>

	* libjava.lang/final_inner.java: New file.
	* libjava.lang/final_inner.out: Likewise.

2000-01-20  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/BlankFinal.java: New file.

2000-01-19  Alexandre Petit-Bianco  <apbianco@cygnus.com>

	* libjava.lang/anon.java, libjava.lang/anon2.java,
	libjava.lang/anon3.java, libjava.lang/anon4.java,
	libjava.lang/direct_read.java, libjava.lang/direct_write.java,
	libjava.lang/indirect.java, libjava.lang/indirect_read.java,
	libjava.lang/indirect_write.java, libjava.lang/inner1.java,
	libjava.lang/inner2.java, libjava.lang/inner3.java,
	libjava.lang/inner4.java, libjava.lang/inner_array.java,
	libjava.lang/multiple_finit.java,
	libjava.lang/private_direct_read.java,
	libjava.lang/private_direct_write.java,
	libjava.lang/private_indirect_read.java,
	libjava.lang/private_indirect_write.java,
	libjava.lang/search_outer.java, libjava.lang/tmi.java,
	libjava.lang/tp.java, libjava.lang/update_outer.java: New files.

2000-01-18  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/inner_pub.java: New file.

2000-01-16  Anthony Green  <green@cygnus.com>

	* libjava.lang/pr133.out: New file.
	* libjava.lang/pr133.java: New file.

	* libjava.lang/pr100.xpo: New file.
	* libjava.lang/pr100.java: New file.

2000-01-16  Anthony Green  <green@cygnus.com>

	* libjava.lang/pr93.xpo: New file.
	* libjava.lang/pr93.java: New file.

2000-01-16  Anthony Green  <green@cygnus.com>

	* libjava.lang/lang.exp: Handle regexp matches correctly.

2000-01-16  Anthony Green  <green@cygnus.com>

	* libjava.lang/pr83.out: New file.
	* libjava.lang/pr83.java: New file.

	* libjava.lang/pr109.out: New file.
	* libjava.lang/pr109.java: New file.

2000-01-11  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/klass.out: New file.
	* libjava.lang/klass.java: New file.

1999-12-31  Tom Tromey  <tromey@cygnus.com>

	* libjava.mauve/mauve.exp (mauve_compute_uses): Let user select
	specific tests to run.

1999-10-19  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.compile/invokeinterface: New directory.
	* libjava.compile/invokeinterface/Test.java: New file. Test code for
	PR gcj/71 and PR gcj/72.
	* libjava.compile/invokeinterface/A.java: New file.
	* libjava.compile/invokeinterface/B.java: New file.

1999-10-02  Anthony Green  <green@cygnus.com>

	* libjava.compile/Case.xfail: Removed.  This test should pass now.

	* libjava.compile/compile.exp: Copied from test.exp.
	* libjava.compile/test.exp: Removed.

	* libjava.lang/lang.exp: Copied from test.exp.
	* libjava.lang/test.exp: Removed.

1999-10-01  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/PR56.out: New file.
	* libjava.lang/PR56.java: New file.

1999-09-29  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/PR55.out: New file.
	* libjava.lang/PR55.java: New file.

1999-08-25  Tom Tromey  <tromey@cygnus.com>

	* libjava.toshiba/G19990304_01.out: New file.
	* libjava.toshiba/G19990304_01.java: New file.

	* libjava.lang/G19990310_01.out: New file.
	* libjava.lang/G19990310_01.java: New file.

1999-08-17  Tom Tromey  <tromey@cygnus.com>

	From Bryce McKinlay:
	* libjava.lang/Array_2.java: New file.
	* libjava.lang/Array_2.out: New file.

1999-08-09  Anthony Green  <green@cygnus.com>

	* libjava.lang/Primes.java: New file.
	* libjava.lang/Primes.out: New file.

1999-07-31  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* lib/libjava.exp (bytecompile_file): Use `env(SUN_JAVAC)', that
	defaults to javac, as Sun-javac compiler or compatible.
	(libjava_init): Get GCJ from environment if neither GCJ_UNDER_TEST
	nor TOOL_EXECUTABLE are set.  Set `original_ld_library_path' from
	environment.
	(libjava_arguments): Prepend `.' and `$srcdir/$subdir' to
	CLASSPATH, for `support' sources.  Search for libgcj.spec in
	`$objdir/..', by adding -B to GCJ_UNDER_TEST.  Append
	original_ld_library_path to ld_library_path.
	* libjava.mauve/mauve.exp (test_mauve): Set `env(GCJ)' from
	GCJ_UNDER_TEST, calculated just like in libjava.exp.

1999-07-14  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/G19990217_02.no-link: New file.
	* libjava.compile/test.exp: Look for `.no-link' file.
	* lib/libjava.exp (test_libjava_from_source): Added `no-link'
	option.
	(test_libjava_from_javac): Likewise.  Also, handle package
	information from class name when creating class file name.

1999-07-13  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/test.exp: New file.
	* libjava.lang/err9.out: New file.
	* libjava.lang/err9.java: New file.
	* libjava.lang/err8.out: New file.
	* libjava.lang/err8.java: New file.
	* libjava.lang/err7.out: New file.
	* libjava.lang/err7.java: New file.
	* libjava.lang/err6.out: New file.
	* libjava.lang/err6.java: New file.
	* libjava.lang/err5.out: New file.
	* libjava.lang/err5.java: New file.
	* libjava.lang/err4.out: New file.
	* libjava.lang/err4.java: New file.
	* libjava.lang/err3.out: New file.
	* libjava.lang/err3.java: New file.
	* libjava.lang/err2.out: New file.
	* libjava.lang/err2.java: New file.
	* libjava.lang/err13.out: New file.
	* libjava.lang/err13.java: New file.
	* libjava.lang/err12.out: New file.
	* libjava.lang/err12.java: New file.
	* libjava.lang/err11.out: New file.
	* libjava.lang/err11.java: New file.
	* libjava.lang/err10.out: New file.
	* libjava.lang/err10.java: New file.
	* libjava.lang/err1.out: New file.
	* libjava.lang/err1.java: New file.
	* libjava.lang/N19990310_5.out: New file.
	* libjava.lang/N19990310_5.java: New file.
	* libjava.lang/N19990310_4.out: New file.
	* libjava.lang/N19990310_4.java: New file.
	* libjava.lang/N19990310_3.out: New file.
	* libjava.lang/N19990310_3.java: New file.
	* libjava.lang/N19990310_02.out: New file.
	* libjava.lang/N19990310_02.java: New file.
	* libjava.lang/G19990303_02.out: New file.
	* libjava.lang/G19990303_02.java: New file.
	* libjava.lang/G19990303_01.out: New file.
	* libjava.lang/G19990303_01.java: New file.
	* libjava.lang/G19990302_02.out: New file.
	* libjava.lang/G19990302_02.java: New file.
	* libjava.lang/G19990301_01.out: New file.
	* libjava.lang/G19990301_01.java: New file.

	* libjava.compile/N19990317.java: New file.
	* libjava.compile/N19990310_01.java: New file.
	* libjava.compile/G19990225_01.java: New file.
	* libjava.compile/G19990217_02.java: New file.
	* libjava.compile/G19990217_01.java: New file.
	* libjava.compile/G19990210_3.java: New file.
	* libjava.compile/G19990210_2.java: New file.
	* libjava.compile/G19990210_1.java: New file.

1999-07-06  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Final.xfail: Output fails, not exec.

	* libjava.lang/Final.xfail: New file.
	* libjava.compile/Case.xfail: New file.
	* libjava.compile/Where.xfail: New file.
	* libjava.compile/test.exp: Look for `.xfail' files.
	* libjava.lang/test.exp: Don't look for `.arg' files.
	Do look for `.xfail' files.
	* lib/libjava.exp (test_libjava_from_source): Changed meaning of
	`exec_args' argument.  Handle `xfail-*' arguments.
	(test_libjava_from_javac): Likewise.
	(test_libjava): Likewise.
	(libjava_read_xfail): New proc.

1999-07-05  Bryce McKinlay  <bryce@albatross.co.nz>

	* libjava.lang/Final.java: Added.
	* libjava.lang/Final.out: Added.

1999-07-02  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Finalize_1.out: Removed.
	* libjava.lang/Finalize_1.java: Removed.

	* libjava.lang/Thread_1.out: Updated.
	* libjava.lang/Thread_1.java: Don't run exit test.

Thu Jul  1 16:22:19 1999  Anthony Green  <green@cygnus.com>

	* libjava.mauve/mauve.exp: Don't stop counting test results
	prematurely.

1999-06-25  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (test_libjava_from_javac): Fixed typo.  Always
	make class_files a list.

	* lib/libjava.exp (test_libjava_from_javac): Prepend `$objdir/' to
	class file names.

1999-06-24  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (libjava_arguments): If `libtool' not found in
	build tree, just use $GCJ_UNDER_TEST as compiler.

1999-06-23  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (libjava_arguments): Handle -lzgcj.

1999-05-24  Anthony Green  <green@cygnus.com>

	* libjava.lang/Shazam.java: New file.
	libjava.lang/Shazam.out: New file.

1999-05-12  Andrew Haley  <aph@cygnus.com>

	* libjava.lang/Invoke_2.java: New file.

1999-05-03  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (libjava_arguments): Don't use -nodefaultlibs.
	(libjava_find_lib): Add `-L' option to find the actual library.

	* libjava.mauve/mauve.exp (test_mauve): Pass `link' to
	libjava_arguments when linking.
	(test_mauve_sim): Likewise.
	* lib/libjava.exp (libjava_arguments): Run `libtool' to link.
	Don't use `-static'.  Added `mode' argument.  Use -nodefaultlibs
	when linking.
	(test_libjava_from_source): Mention why target_compile failed.
	Pass `link' to libjava_arguments when linking.  Only do `xfails'
	for tests we would actually have run.
	(test_libjava_from_javac): Likewise.
	(libjava_find_lib): Return name of `.la' file.

1999-04-26  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (libjava_find_lib): New proc.
	(libjava_arguments): Use it.  Force static linking.

Thu Apr 22 14:19:35 1999  Anthony Green  <green@cygnus.com>

	* libjava.compile/OperatorBenchmark.java: New file.

1999-04-09  Warren Levy  <warrenl@cygnus.com>

	* libjava.mauve/mauve.exp (KEYS): Default to libgcj.

1999-04-09  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/plusplus.java: New file.
	From MoT <Sebastien.Villemot@ens.fr>.

1999-04-06  Tom Tromey  <tromey@cygnus.com>

	* libjava.mauve/mauve.exp (test_mauve_sim): Reference
	mauve-libgcj.
	(test_mauve): Likewise.

1999-03-30  Tom Tromey  <tromey@cygnus.com>

	* libjava.mauve/mauve.exp: Renamed from test.exp.  With the new
	name it is easier to run just the Mauve tests.

	* libjava.mauve/test.exp (test_mauve): Added gnu/testlet/config to
	list of files to link in.
	(test_mauve_sim): Likewise.
	* libjava.mauve/DejaGNUTestHarness.java (srcdir, tmpdir): New
	static variables.
	(DejaGNUTestHarness): Removed argument from constructor.
	(dejasrcdir): New static variable.
	(main): Set `dejasrcdir'.
	(getSourceDirectory): New method.

1999-03-08  Tom Tromey  <tromey@cygnus.com>

	* libjava.compile/perc.java: New file.

1999-02-26  Tom Tromey  <tromey@cygnus.com>

	* libjava.util/test.exp: Removed.

1999-02-25  Tom Tromey  <tromey@cygnus.com>

	* libjava.mauve/test.exp: Make sure current directory is correct
	after tests are run.

	* libjava.mauve/test.exp (test_mauve): Removed extra arg in call
	to bytecompile_file.
	(test_mauve_sim): Likewise.

Thu Feb 25 09:21:03 1999  Anthony Green  <green@cygnus.com>

	* libjava.compile/euc_comment1.java,
	libjava.compile/euc_comment2.java,
	libjava.compile/euc_comment3.java,
	libjava.compile/euc_comment1.java,
	libjava.compile/euc_comment2.java,
	libjava.compile/euc_comment3.java: New files.

	* libjava.compile/Case.java, libjava.compile/support/Case.java:
	New files.

1999-02-24  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (find_jvscan): New proc.
	(bytecompile_file): Removed `srcfile_in' argument.
	(test_libjava_from_javac): Use `jv-scan' program to find name of
	`main' and name of all generated classes.  Compile all generated
	classes, not just primary class.  For no-exec tests, only try to
	build the .o, not the full executable.

Wed Feb 24 11:22:32 1999  Anthony Green  <green@hoser.cygnus.com>

	* libjava.compile/test.exp: Minor fix.

1999-02-23  Anthony Green  <green@cygnus.com>

	* libjava.compile/Where.java, libjava.compile/support/Waldo.java,
	libjava.compile/Twice.java, libjava.compile/Semi.java,
	libjava.compile/Statics.java, libjava.compile/test.exp,
	libjava.lang/Synch.java, libjava.lang/Synch.out: New files.

1999-02-16  Tom Tromey  <tromey@cygnus.com>

	* Makefile.in: Rebuilt.
	* Makefile.am (AUTOMAKE_OPTIONS): Added no-installinfo.

Wed Feb 17 19:53:51 1999  Warren Levy  <warrenl@cygnus.com>

	* libjava.mauve/test.exp: modified file allows Mauve tests to
	run on JMR board; simplified script to use same procedure for
	all testing

1999-02-10  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (libjava_arguments): Updated to track library
	renames.

1999-02-07  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/slash.java: New file.
	* libjava.lang/slash.out: New file.

Mon Feb  1 05:17:40 1999  Anthony Green  <green@fencer.cygnus.com>

	* lib/libjava.exp: Test compiling from source as well as from
	bytecodes.

1999-01-11  Tom Tromey  <tromey@cygnus.com>

	* libjava.mauve/test.exp (mauve_compute_uses): Read classes file,
	not choices file.

	* libjava.mauve/test.exp (test_mauve): Added
	ResourceNotFoundException to list of harness files to compile.
	(test_mauve_sim): Likewise.

1998-12-17  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Invoke_1.java: New file.

	* libjava.lang/Thread_1.java (Thread_1): Class now public.
	* libjava.lang/Array_1.java (Array_1): Class now public.

	* libjava.lang/Throw_1.out: New file.
	* libjava.lang/Throw_1.java: New file.

1998-12-11  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (libjava_arguments): New proc.
	(test_libjava): Use it.
	(bytecompile_file): Added classpath argument.
	* libjava.mauve/test.exp: New file.
	* libjava.mauve/DejaGNUTestHarness.java: New file.

1998-12-08  Tom Tromey  <tromey@cygnus.com>

	* Various: removed all test files that migrated to Mauve.

1998-12-07  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Array_1.java (main): Removed extraneous
	getSuperclass call.

1998-11-23  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Finalize_1.java (main): Clear `f' before GC.

1998-10-08  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Thread_1.out: Added missing line.

Fri Oct  2 14:55:46 1998  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Array_1.java: Changed so Cloneable test can run
	even if clone test itself fails.

	* libjava.lang/Array_1.java: Uncommented calls to getSuperclass.
	Added test to see if array implements Cloneable.

Thu Oct  1 11:28:06 1998  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Array_1.java: New file.
	* libjava.lang/Array_1.out: New file.

Thu Oct  1 13:51:00 1998  Anthony Green  <green@cygnus.com>

	* testsuite/lib/libjava.exp: Find qthreads library correctly.

Tue Sep 29 16:36:43 1998  Warren Levy  <warrenl@cygnus.com>

	* libjava.util/Hashtable_1.java, libjava.util/Hashtable_1.out: Created.

Tue Sep 29 00:40:26 1998  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Thread_1.java (started): New field.
	(run): Set `started'.  Handle all synchronization here.
	(Thread_1): Initialize `started'.
	(doit): Just start both threads and let them handle their own
	synchronization.

	* libjava.lang/Boolean_5.out: Changed to reflect the
	Boolean_5.java changes.
	* libjava.lang/Boolean_5.java: Don't replace the system
	properties, just augment them.  Don't print the property object.
	* libjava.lang/Long_2.out: Changed to reflect Long_2.java
	changes.
	* libjava.lang/Long_2.java: Don't replace the system properties,
	just augment them.  Don't print the property object.
	* libjava.lang/Integer_2.out: Changed to reflect Integer_2.java
	changes.
	* libjava.lang/Integer_2.java: Don't replace the system
	properties, just augment them.  Don't print the property object.

Sat Sep 26 15:57:39 1998  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Thread_1.java (main): Catch InterruptedException.

Tue Sep 22 13:45:58 1998  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Thread_1.out: New file.
	* libjava.lang/Thread_1.java: New file.

Mon Sep 21 14:20:08 1998  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (test_libjava): Use runtest_file_p to see if
	test should be short-circuited.

Tue Sep 15 13:57:45 1998  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Character_9.java: New file.
	* libjava.lang/Character_9.out: New file.

Mon Sep 14 12:27:04 1998  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Character_8.out: New file.
	* libjava.lang/Character_8.java: New file.
	* libjava.lang/Character_7.out: New file.
	* libjava.lang/Character_7.java: New file.
	* libjava.lang/Character_6.out: New file.
	* libjava.lang/Character_6.java: New file.
	* libjava.lang/Character_5.out: New file.
	* libjava.lang/Character_5.java: New file.
	* libjava.lang/Character_4.out: New file.
	* libjava.lang/Character_4.java: New file.
	* libjava.lang/Character_3.out: New file.
	* libjava.lang/Character_3.java: New file.
	* libjava.lang/Character_2.out: New file.
	* libjava.lang/Character_2.java: New file.

Fri Sep 11 10:04:55 1998  Tom Tromey  <tromey@cygnus.com>

	* libjava.lang/Character_1.out: New file.
	* libjava.lang/Character_1.java: New file.

Fri Sep 18 14:43:59 1998  Warren Levy  <warrenl@cygnus.com>

	* libjava.lang/Long_1.java, libjava.lang/Long_1.out,
	libjava.lang/Long_2.java, libjava.lang/Long_2.out: Created.

Fri Sep 18 12:43:52 1998  Warren Levy  <warrenl@cygnus.com>

	* libjava.lang/Integer_1.java, libjava.lang/Integer_1.out,
	libjava.lang/Integer_2.java, libjava.lang/Integer_2.out: Created.

	* libjava.lang/String_2.java, libjava.lang/String_2.out: Use JDK 1.2
	values for hashCode.

Thu Sep 10 12:44:42 1998  Warren Levy  <warrenl@cygnus.com>

	* libjava.lang/String_1.java, libjava.lang/String_1.out,
	libjava.lang/String_2.java, libjava.lang/String_2.out,
	libjava.lang/String_3.java, libjava.lang/String_3.out,
	libjava.lang/String_4.java, libjava.lang/String_4.out,
	libjava.lang/String_5.java, libjava.lang/String_5.out,
	libjava.lang/String_6.java, libjava.lang/String_6.out,
	libjava.lang/String_7.java, libjava.lang/String_7.out,
	libjava.lang/String_8.java, libjava.lang/String_8.out,
	libjava.lang/String_9.java, libjava.lang/String_9.out: Created.

Tue Sep  8 13:31:59 1998  Warren Levy  <warrenl@cygnus.com>

	* libjava.lang/Byte_1.java, libjava.lang/Byte_1.out,
	libjava.lang/Short_1.java, libjava.lang/Short_1.out: New files.

Thu Sep  3 15:57:57 1998  Warren Levy  <warrenl@cygnus.com>

	* libjava.lang/Boolean_1.java, libjava.lang/Boolean_1.out,
	libjava.lang/Boolean_2.java, libjava.lang/Boolean_2.out,
	libjava.lang/Boolean_3.java, libjava.lang/Boolean_3.out,
	libjava.lang/Boolean_4.java, libjava.lang/Boolean_4.out,
	libjava.lang/Boolean_5.java, libjava.lang/Boolean_5.out: Created.

Tue Sep  1 12:27:54 1998  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp (bytecompile_file): Don't throw error if byte
	compilation fails.  Added `srcfile_in' argument.  Changed return
	value.
	(test_libjava): Gracefully handle byte-compilation failure.

	* libjava.lang/System_15.java (main): Typo fix.
	(System_15): Choose correct class name.
	(X): Moved into System_15.

	* libjava.lang/System_1.java, libjava.lang/System_1.out,
	libjava.lang/System_10.java, libjava.lang/System_10.out,
	libjava.lang/System_11.java, libjava.lang/System_11.out,
	libjava.lang/System_12.java, libjava.lang/System_12.out,
	libjava.lang/System_13.java, libjava.lang/System_13.out,
	libjava.lang/System_14.java, libjava.lang/System_14.out,
	libjava.lang/System_15.java, libjava.lang/System_15.out,
	libjava.lang/System_2.java, libjava.lang/System_2.out,
	libjava.lang/System_3.java, libjava.lang/System_3.out,
	libjava.lang/System_4.java, libjava.lang/System_4.out,
	libjava.lang/System_5.java, libjava.lang/System_5.out,
	libjava.lang/System_6.java, libjava.lang/System_6.out,
	libjava.lang/System_7.java, libjava.lang/System_7.out,
	libjava.lang/System_8.java, libjava.lang/System_8.out,
	libjava.lang/System_9.java, libjava.lang/System_9.out: New files.

	* lib/libjava.exp (test_libjava): Only add -lgc or -lqthreads if
	library is actually found.

	* lib/libjava.exp (test_libjava): Look for qthreads.

Mon Aug 31 17:49:21 1998  Warren Levy  <warrenl@cygnus.com>

	* libjava.util/Random_1.java, libjava.util/Random_1.out,
	libjava.util/Random_2.java, libjava.util/Random_2.out,
	libjava.util/Random_3.java, libjava.util/Random_3.out,
	libjava.util/Random_4.java, libjava.util/Random_4.out,
	libjava.util/Random_5.java, libjava.util/Random_5.out,
	libjava.util/Random_6.java, libjava.util/Random_6.out,
	libjava.util/Random_7.java, libjava.util/Random_7.out,
	libjava.util/Random_8.java, libjava.util/Random_8.out,
	libjava.util/test.exp: Created.

Mon Aug 31 16:37:19 1998  Tom Tromey  <tromey@cygnus.com>

	* lib/libjava.exp: Changed gjavac to gcj everywhere.

Wed Aug 26 12:20:10 1998  Anthony Green  <green@cygnus.com>

	* Makefile.am (EXPECT,RUNTEST): Find expect and runtest
	correctly.
	* Makefile.in: Rebuild.

Tue Aug 25 18:43:33 1998  Anthony Green  <green@cygnus.com>

	* lib/libjava.exp: Fix CLASSPATH setting.

Tue Aug 25 17:27:37 1998  Anthony Green  <green@cygnus.com>

	* ChangeLog, lib/libjava.exp, config/default.exp,
	libjava.lang/Finalize_1.java, libjava.lang/Finalize_1.out,
	libjava.lang/Float_1.java, libjava.lang/Float_1.out
	libjava.lang/test.exp, Makefile.am, Makefile.in: Created.
